/*
 * $Id: rc5codes.h,v 1.2 2006-10-14 09:36:55 andreas Exp $
 */

/*
 * Copyright (c) 2006 Andreas Schroeder <andreas@a-netz.de>
 *
 * Device and command codes for RC5 protocol.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/**
 * \file
 * These are the device and command codes as defined by Philips for the
 * RC5 protocol.
 *
 * This list is not complete.
 */

#ifndef RC5CODES_H
#define RC5CODES_H

//
// Device codes
//

#define RC5_DEV_TV1                   0x00
#define RC5_DEV_TV2                   0x01
#define RC5_DEV_TELETEXT              0x02
#define RC5_DEV_VIDEO                 0x03
#define RC5_DEV_LV1                   0x04
#define RC5_DEV_VCR1                  0x05
#define RC5_DEV_VCR2                  0x06
#define RC5_DEV_EXPERIMENTAL          0x07
#define RC5_DEV_SAT1                  0x08
#define RC5_DEV_CAMERA                0x09
#define RC5_DEV_SAT2                  0x0a
//#define RC5_DEV_                  0x0b
#define RC5_DEV_CDV                  0x0c
#define RC5_DEV_CAMCORDER             0x0d
//#define RC5_DEV_                  0x0e
//#define RC5_DEV_                  0x0f
#define RC5_DEV_PREAMP1               0x10
#define RC5_DEV_TUNER                 0x11
#define RC5_DEV_RECORDER1             0x12
#define RC5_DEV_PREAMP2               0x13
#define RC5_DEV_CDPLAYER              0x14
#define RC5_DEV_PHONO                 0x15
#define RC5_DEV_SAT_A                 0x16
#define RC5_DEV_RECORDER2             0x17
//#define RC5_DEV_                  0x18
//#define RC5_DEV_                  0x19
#define RC5_DEV_CDR                   0x1a
//#define RC5_DEV_                  0x1b
//#define RC5_DEV_                  0x1c
#define RC5_DEV_LIGHTING1             0x1d
#define RC5_DEV_LIGHTING2             0x1e
#define RC5_DEV_PHONE                 0x1f

//
// Command codes
//
#define RC5_CMD_0                     0x00
#define RC5_CMD_1                     0x01
#define RC5_CMD_2                     0x02
#define RC5_CMD_3                     0x03
#define RC5_CMD_4                     0x04
#define RC5_CMD_5                     0x05
#define RC5_CMD_6                     0x06
#define RC5_CMD_7                     0x07
#define RC5_CMD_8                     0x08
#define RC5_CMD_9                     0x09
//#define RC5_CMD_                    0x0a
//#define RC5_CMD_                    0x0b
#define RC5_CMD_STANDBY               0x0c
#define RC5_CMD_MUTE                  0x0d
//#define RC5_CMD_                      0x0e
//#define RC5_CMD_                      0x0f
#define RC5_CMD_VOLUME_INC            0x10
#define RC5_CMD_VOLUME_DEC            0x11
#define RC5_CMD_BRIGHTNESS_INC        0x12
#define RC5_CMD_BRIGHTNESS_DEC        0x13

#define RC5_CMD_PROGRAM_INC           0x20
#define RC5_CMD_PROGRAM_DEC           0x21


#endif // RC5CODES_H
